Properties Methods Events Direct Link

# Class Ext.Updater.defaults

Package: | Ext
Defined In: | UpdateManager.js
Class: | Updater.defaults
Extends: | Object

The defaults collection enables customizing the default properties of Updater

## Public Properties

Property | Defined By
--- | ---
| disableCaching : Boolean Whether to append unique parameter on get request to disable caching (Defaults to false). | Updater.defaults
| indicatorText : String Text for loading indicator (Defaults to '<div class="loading-indicator">Loading...</div>'). | Updater.defaults
| loadScripts : Boolean True to process scripts by default (Defaults to false). | Updater.defaults
| showLoadIndicator : Boolean Whether to show indicatorText when loading (Defaults to true). | Updater.defaults
| sslBlankUrl : String Blank page URL to use with SSL file uploads (Defaults to "javascript:false"). | Updater.defaults
| timeout : Number Timeout for requests or form posts in seconds (Defaults 30 seconds). | Updater.defaults

## Public Methods

This class has no public methods.

## Public Events

This class has no public events.